@import "mixins";

.sidenav:before {
  content: "";
  z-index: -1;

  @apply bg-gray-100 dark:bg-gray-800 block absolute inset-0;

  left: calc((100vw - 1280px) / 2 * -1);
}

.rootNavItem { 
  .iconWrapper > .isPage + *:last-child, 
  &:not(:hover) .iconWrapper > *:last-child  {
    @apply hidden;
  }
  
  &:hover .iconWrapper > *:first-child:not(.isPage) {
    @apply hidden;
  }
}

.breadcrumbs {
  @apply -mt-2;

  ul {
    li + li:before {
      @apply mr-8 font-normal;

      content: "\203A";
    }

    li:last-child {
      @apply font-normal;
    }
  }
}

h1.title {
  // font-size: 3em;
  // font-weight: normal;
  @apply font-light text-7xl;
}

// .table {
//   @apply border-separate rounded-lg hover:shadow-lg transition-shadow overflow-hidden;
//   border-spacing: 0px;

//   // thead tr {
//   //   @apply transition-shadow;
//   // }

//   // &:hover thead tr {
//   //   @apply shadow-lg;
//   // }

//   tr {
//     @apply transition-shadow;

//     &:hover {
//       box-shadow: 0 0 15px -3px rgba(0, 0, 0, 0.1),
//         0 4px 6px -2px rgba(0, 0, 0, 0.05);
//     }
//   }

//   > *:first-child > tr:first-child > *:first-child {
//     @apply rounded-tl-lg;
//     // border-radius: 30px 0 0 0;
//   }

//   > *:first-child > tr:first-child > *:last-child {
//     @apply rounded-tr-lg;
//     // border-radius: 0 10px 0 0;
//   }

//   > *:last-child > tr:last-child > *:first-child {
//     @apply rounded-bl-lg;
//     // border-radius: 0 0 0 10px;
//   }

//   > *:last-child > tr:last-child > *:last-child {
//     @apply rounded-br-lg;
//     // border-radius: 0 0 10px 0;
//   }

//   tr th:last-child,
//   tr td:last-child {
//     @apply border-r pr-8;
//     // border-right: 1px solid blue;
//     // padding: 5px;
//   }

//   tr th:first-child,
//   tr td:first-child {
//     @apply border-l pl-8;
//     // border-left: 1px solid blue;
//     // padding-left: 2rem;
//   }

//   tr th,
//   tr td {
//     @apply border-t px-4 py-3 text-left;
//     // border-top: 1px solid blue;
//     // text-align: left;
//   }

//   tr:last-child td {
//     @apply border-b;
//     // border-bottom: 1px solid blue;
//   }

//   // > *:first-child > tr:first-child > * {
//   //   @apply pt-6;
//   //   // border-radius: 30px 0 0 0;
//   // }

//   // > * > * {
//   //   @apply border border-solid border-red-500;
//   // }

//   // tr:not(:first-child) {
//   //   border-top-width: 1px !important;
//   // }
// }

.blobBackdrop {
  @apply opacity-100 pointer-events-none;

  transition: transform 0.25s ease-out;
  z-index: -1;

  > * {
    @apply absolute w-16 h-16 rounded-full mix-blend-multiply animate-blob filter blur-2xl;
  }

  @for $i from 1 through 10 {
    > *:nth-child(#{$i}n) {
      animation-delay: #{$i * 2}s;
    }
  }

  + * {
    z-index: 1;
    position: relative;
  }
}

// .DocumentDetail {
//   > .backdrop {
//     z-index: -1;
//     // background-image: url("https://images.unsplash.com/photo-1564832586408-3b10f4f41541?ixid=MnwxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8&ixlib=rb-1.2.1&auto=format&fit=crop&w=3890&q=80");
//     background-image: url("https://wallpaperaccess.com/full/695130.jpg");
//   }

//   .sidenav {
//     display: block;
//     max-width: 350px;
//     padding-inline-end: 3rem;

//     ul {
//       list-style: cambodian;
//       text-transform: lowercase;
//       padding-inline-start: 1rem;
//     }

//     > ul {
//       padding-inline-start: 0;
//     }
//   }

//   .DocumentContent {
//     display: block;
//     flex: 1;
//     padding-inline-start: 3rem;
//   }

//   h1.title {
//     font-size: 3em;
//     font-weight: normal;
//   }

//   @media only screen and (max-width: 1120px) {
//     .DocumentContent {
//       margin: 0 auto;
//     }
//   }

//   @media print {
//     .DocumentContent {
//       margin: 0 !important;
//       max-width: auto !important;
//       box-shadow: none;
//     }
//   }

//   ul.breadcrumbs {
//     li + li:before {
//       @apply mr-6 font-normal;

//       content: "/\00a0";
//     }

//     li:last-child {
//       @apply font-normal;
//     }
//   }
// }
